Name:           qtads
Summary:        GUI multimedia interpreter for TADS games
Version:        3.0.0
Release:        %mkrel 4
License:        GPLv2+
Group:          Games/Adventure
URL:            http://qtads.sourceforge.net/
Source0:        https://downloads.sourceforge.net/qtads/%{name}-%{version}-source.tar.xz
Patch0:         qtads-3.0.0-mga-disable-broken-forced-update-check.patch
Patch1:         qtads-3.0.0-verbose-build.patch
Patch2:		qtads-3.0-fluidsynth.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(vorbisfile)
Recommends:     timidity-instruments

%description
QTads is a cross-platform multimedia interpreter for Tads (Text Adventure
Development System) games. Both Tads versions in use today (Tads 2 and Tads 3)
are supported. MIDI, Ogg Vorbis, MP3, and WAV sound formats are supported.

TADS is a programming language written by Michael J. Roberts, designed to
implement text-adventure games (Interactive Fiction), similar to those
developed by Infocom in 1980-1990, as well as other companies (like Legend
Entertainment, Level 9, etc). If you liked games like "Zork", "Adventure",
"Trinity", or "Eric the Unready", you'll feel right at home.

%prep
%setup -q
%autopatch -p1

sed -i 's|\$$PREFIX/bin|\$$PREFIX/games|' qtads.pro

%build
%qmake_qt5 \
    PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%doc AUTHORS NEWS README
%license LICENSE.TXT
%{_gamesbindir}/%{name}
%{_datadir}/applications/nikos.chantziaras.%{name}.desktop
%{_metainfodir}/nikos.chantziaras.%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-*.png
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 3.0.0-4.mga9
+ Revision: 1842594
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 3.0.0-3.mga9
+ Revision: 1740603
- add patch from gentoo to fix build with updated fluidsynth
- rebuild for fluidsynth

* Thu Dec 17 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1659564
- Rebuild for new Qt5

* Wed Apr 15 2020 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1567403
- new version: 3.0.0

* Sat Feb 15 2020 umeabot <umeabot> 2.1.7-6.mga8
+ Revision: 1525011
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 2.1.7-5.mga7
+ Revision: 1384338
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.7-4.mga7
+ Revision: 1300690
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 2.1.7-3.mga7
+ Revision: 1225641
- patch2: verbose build and force C++11 as qtads is not ready for C++14
- patch1: fix build with gcc7

* Thu Mar 24 2016 akien <akien> 2.1.7-1.mga6
+ Revision: 995193
- Version 2.1.7

* Tue Feb 09 2016 umeabot <umeabot> 2.1.6-10.mga6
+ Revision: 952028
- Mageia 6 Mass Rebuild

* Thu Jan 15 2015 akien <akien> 2.1.6-9.mga5
+ Revision: 810767
- Disable update check forcing at the application start, it is broken

* Mon Jan 12 2015 akien <akien> 2.1.6-8.mga5
+ Revision: 810085
- Build with Qt5
- Add MimeType associations in the desktop file

* Mon Jan 12 2015 akien <akien> 2.1.6-7.mga5
+ Revision: 810081
- Install the mimetype spec

* Mon Jan 12 2015 akien <akien> 2.1.6-6.mga5
+ Revision: 810077
- Put binary in %%_gamesbindir
- Install app and mimetype icons
- Remove optflags already defined in %%qmake_qt4
- Fixed desktop categories

* Wed Oct 15 2014 umeabot <umeabot> 2.1.6-5.mga5
+ Revision: 747334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.6-4.mga5
+ Revision: 688534
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 2.1.6-3.mga4
+ Revision: 517902
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.1.6-2.mga3
+ Revision: 379964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ malo <malo>
- fix RPM group

* Thu Jan 03 2013 stormi <stormi> 2.1.6-1.mga3
+ Revision: 338372
- new version 2.1.6

* Sun Mar 04 2012 stormi <stormi> 2.1.2-1.mga2
+ Revision: 218237
- new version 2.1.2
- clean spec file

* Fri Mar 11 2011 stormi <stormi> 2.1.1-1.mga1
+ Revision: 68238
- new version 2.1.1

* Thu Jan 27 2011 stormi <stormi> 2.0.1-4.mga1
+ Revision: 41518
- rename desktop file
- imported package qtads


* Sun Oct 24 2010 Samuel Verschelde <stormi@mandriva.org> 2.0.1-3mdv2011.0
+ Revision: 589203
- suggests timidity-instruments for MIDI playback

* Sun Oct 24 2010 Samuel Verschelde <stormi@mandriva.org> 2.0.1-2mdv2011.0
+ Revision: 588939
- bump release
- do not gzip man page

* Sun Oct 24 2010 Samuel Verschelde <stormi@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 588683
- new version 2.0.1, uses QT4 now, and becomes multimedia (images/sounds/music)

* Sat Jul 11 2009 Samuel Verschelde <stormi@mandriva.org> 1.9-2mdv2010.0
+ Revision: 394361
+ rebuild (emptylog)

* Sat Jul 11 2009 Samuel Verschelde <stormi@mandriva.org> 1.9-1mdv2010.0
+ Revision: 394352
- update to new version 1.9

* Sat May 30 2009 Samuel Verschelde <stormi@mandriva.org> 1.8-2mdv2010.0
+ Revision: 381529
- added desktop file
- modified summary

* Fri May 29 2009 Samuel Verschelde <stormi@mandriva.org> 1.8-1mdv2010.0
+ Revision: 381141
- new version 1.8

* Thu May 21 2009 Samuel Verschelde <stormi@mandriva.org> 1.7-2mdv2010.0
+ Revision: 378341
- rebuild for gcc 4.4

* Tue Mar 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-1mdv2009.1
+ Revision: 356597
- import qtads


* Mon Mar 31 2008 Samuel Verschelde <specialspam@laposte.net> 1.7-1mdv2008.1
- first package 
